function Edit(){
    event.preventDefault(); 
    var frm = document.getElementById('form');
    var data = new FormData(frm);
    var xhttp = new XMLHttpRequest();
     // Deshabilitar el botón de envío
    const submitButton = document.getElementById('actualizar');
    xhttp.onreadystatechange = function () {
        if (this.readyState == 4) {
            var msg = xhttp.responseText;
            if (msg.trim() == 'success') {
                $.confirm({
                  title: 'Actualizado',
                  content: 'Con Exito!',
                  theme: 'modern',
                  buttons: {
                      OK: function () {
                          // Habilitar nuevamente el botón de envío
                          submitButton.disabled = false;
                          location.href ="listado_bitacora.php";  
                      },
                  }

              });                
            } else {
                $.alert({
                    title: 'Erro al Actualizar!',
                   content: 'Verificar',
                    theme: 'modern'
                });
            }

        }
    };
    xhttp.open("POST", "data/edit_bitacora.php", true);
    xhttp.send(data); 
 };
//completar campos con la id de placa
$('#placa').on('change', function() {
  valor=$('#placa').val();
  const kilometrajeI = document.getElementById("KilometrajeI");
  $.ajax({     
  url : 'data/cargar_placa.php',     
  data : { valor : valor },
  type : 'POST',
  dataType : 'json',
  success : function(r) {
    kilometrajeI.textContent = r.KM_FINAL;
  },
    error : function(xhr, status) {
    $.alert({
        title: 'Seleccione',
       content: '¡ID Proyecto!',
        theme: 'modern'
    });
    }
   });
})  
// Función para calcular la distancia entre dos ubicaciones
  function calcularDistancia(ubicacion1, ubicacion2) {
      $.ajax({
          url: 'data/calcular_distancia.php',
          type: 'POST',
          data: { ubicacion1: ubicacion1, ubicacion2: ubicacion2 },
          success: function(response) {
              $('#km_promedio').val(response);
          },
          error: function() {
              $('#km_promedio').val('Error al calcular la distancia.');
          }
      });
  }

$('#motivo').on('change', function() {
    var motivo = $('#motivo').val();

    if (motivo == "TRASLADO ZONA HUACHO") {
        $('#km_promedio').val(5);
        $('#ubicacionI').val('HUACHO');
        $('#ubicacionL').val('HUACHO');
    } 
});
$('#ubicacionI, #ubicacionL, #motivo').on('change', function() {
    var ubicacion1 = $('#ubicacionI').val();
    var ubicacion2 = $('#ubicacionL').val();
    var motivo = $('#motivo').val();

    if (motivo == "TRASLADO ZONA HUACHO") {
        $('#km_promedio').val(5);
        $('#ubicacionI').val('HUACHO');
        $('#ubicacionL').val('HUACHO');
    } else if (ubicacion1 !== ubicacion2) {
        calcularDistancia(ubicacion1, ubicacion2);
    } else if (ubicacion1 == ubicacion2 && ubicacion1 !== null && ubicacion2 !== null) {
        $.alert({
            title: '¡Selecciona dos ubicaciones diferentes!',
            content: 'Verificar',
            theme: 'modern',
            onDestroy: function() {
                // Establece el valor predeterminado para ubicacion1 y ubicacion2
                $('#ubicacionI').val('');
                $('#ubicacionL').val('');
            }
        });
        $('#km_promedio').val('');
    } 
});

